Loading...
Searching...
No Matches
MolProcessing.h File Reference
`#include <RDGeneral/export.h>`
`#include <vector>`
`#include <boost/dynamic_bitset.hpp>`
`#include <DataStructs/BitVects.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/FileParsers/GeneralFileReader.h>`
`#include <GraphMol/Fingerprints/FingerprintGenerator.h>`
`#include <GraphMol/Fingerprints/MorganGenerator.h>`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::MolProcessing
namespace | RDKit::MolProcessing::details

## Functions

template<typename OutputType = std::uint32_t>
std::vector< std::unique_ptr< ExplicitBitVect > > | RDKit::MolProcessing::getFingerprintsForMolsInFile (const std::string &fileName, const GeneralMolSupplier::SupplierOptions &options=details::defaultSupplierOptions, FingerprintGenerator< OutputType > *generator=nullptr)

## Variables

RDKIT_MOLPROCESSING_EXPORT GeneralMolSupplier::SupplierOptions | RDKit::MolProcessing::details::defaultSupplierOptions